Post Location Get
Locate a post just from its ID. This will tell you what kind of post it is and where to find it. Where "a post is" is simple for threads, just the slug. For replies, it will give you the thread slug and the position within the thread: the index, the page and the position on the page.
Locate a post just from its ID. This will tell you what kind of post it is and where to find it. Where "a post is" is simple for threads, just the slug. For replies, it will give you the thread slug and the position within the thread: the index, the page and the position on the page.
storyden-session<token>id*stringThe post ID to locate
xidPost location retrieved successfully.
application/json- response
The location of a post. For threads, this is just the slug. For replies, this includes the thread slug, the index, page number and position.
slug*stringThe thread slug for a thread or root slug for a reply.
kind*stringWhether this is a thread or a reply
"thread""reply"index?integerThe zero-based index of a reply within its thread.
page?integerThe page number where the reply appears.
position?integerThe position of the reply on its page.
curl -X GET 'https://example.com/api/posts/location?id=string'{ "slug": "string", "kind": "thread", "index": 0, "page": 0, "position": 0}